Download it now!
Bug 65857 - FILESAVE: DOCX export - excel inside document is exported as a picture
Summary: FILESAVE: DOCX export - excel inside document is exported as a picture
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-17 11:26 UTC by Adam CloudOn
Modified: 2014-07-20 15:41 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
DOCX containing excel spreadsheet (20.58 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-06-17 11:26 UTC, Adam CloudOn
Details
DOCX exported by LO with 2 pictures instead of embedded Excel (8.22 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-09-21 14:56 UTC, Adam CloudOn
Details
DOCX containing excel spreadsheet (26.96 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-09-21 14:57 UTC, Adam CloudOn
Details
DOCX exported by LO with 2 pictures instead of embedded Excel (8.22 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-09-21 14:57 UTC, Adam CloudOn
Details
Screenshot comparison between original DOCX and exported DOCX (149.49 KB, image/png)
2013-09-21 15:09 UTC, Adam CloudOn
Details
Roundtripped document, looks fixed to me (17.06 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-07-20 15:41 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam CloudOn 2013-06-17 11:26:11 UTC
Created attachment 80949 [details]
DOCX containing excel spreadsheet

Problem description: 
A DOCX contains an excel spreadsheet inside (that was inserted to the document using Word's 'Insert Table' => 'Excel Spreadsheet').
When opening the DOCX in LO - the excel is visible, and can be manipulated (if double-clicked).
However - when the DOCX is saved as a NEW.DOCX and opened in Word - the excel table is now an image, and cannot be manipulated.

Steps to reproduce:
1. Load the attached DOCX in LO
2. See the excel spreadsheet inside the document
3. Save the DOCX as a NEW.DOCX
4. Open NEW.DOCX in Word
5. Excel spreadsheet is now a picture

Current behavior:
Excel spreadsheet is exported as an image to the NEW.DOCX

Expected behavior:
Excel spreadsheet should be exported as an Excel spreadsheet.
              
Operating System: Windows 8
Version: 4.0.3.3 release
Comment 1 Jorendc 2013-06-20 23:07:43 UTC
I can confirm this behavior using Mac OSX 10.8.3 with LibreOffice Version: 4.1.0.1
Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155; and Word for Mac 2011.

Kind regards,
Joren
Comment 2 Adam CloudOn 2013-09-21 14:56:31 UTC
Created attachment 86254 [details]
DOCX exported by LO with 2 pictures instead of embedded Excel
Comment 3 Adam CloudOn 2013-09-21 14:57:30 UTC
Created attachment 86255 [details]
DOCX containing excel spreadsheet
Comment 4 Adam CloudOn 2013-09-21 14:57:56 UTC
Created attachment 86256 [details]
DOCX exported by LO with 2 pictures instead of embedded Excel
Comment 5 Adam CloudOn 2013-09-21 15:09:01 UTC
Created attachment 86257 [details]
Screenshot comparison between original DOCX and exported DOCX
Comment 6 Jorendc 2014-07-20 15:41:36 UTC
Looks fixed to me, tested using Windows 8.1 with LibreOffice Version: 4.4.0.0.alpha0+ Build ID: a82ff18269e5b37348d402b7c21c3f200068265c
TinderBox: Win-x86@39, Branch:master, Time: 2014-07-20_02:34:36

Only thing is that the excel grid do look a bit weird, but if you double click to edit it, and deselect it again, the grid is shown correctly (as original).
At least it is now preserved correctly.

Kind regards,
Joren
Comment 7 Jorendc 2014-07-20 15:41:56 UTC
Created attachment 103141 [details]
Roundtripped document, looks fixed to me